<?php 
if (isset($_GET['ancho'])) { 
  // imprimir las variables de geometria 
  echo "El ancho de la pantalla es: ". $_GET['ancho'] ."<br />\n"; 
} else { 
  // pasar las variables de geometria 
  // (preservar la cadena query original 
  //   -- las variables post deberan ser pasadas de otra forma) 

  echo "<script language='javascript'>\n"; 
  echo "  location.href=\"${_SERVER['SCRIPT_NAME']}?${_SERVER['QUERY_STRING']}" 
            . "&ancho=\" + screen.width\n"; 
  echo "</script>\n"; 
  exit(); 
} ?>